Bug 1000989 - Undefined option -i in mount.nfs help usage info
Undefined option -i in mount.nfs help usage info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Steve Dickson
Yin.JianHong
:
Depends On:
Blocks: 1000990
  Show dependency treegraph
 
Reported: 2013-08-26 05:19 EDT by Yin.JianHong
Modified: 2014-06-18 03:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.9-3.1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1000990 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:59:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-26 05:19:30 EDT
Description of problem:
Undefined option -i  in  mount.nfs help usage info

Version-Release number of selected component (if applicable):
[root@dhcp12-125 ~]# lsb_release -sir
RedHatEnterpriseWorkstation 7.0
[root@dhcp12-125 ~]# rpm -q nfs-utils
nfs-utils-1.2.8-2.0.el7.x86_64


How reproducible:
always

Steps to Reproduce:
1. mount.nfs -h
2.
3.

Actual results:
[root@dhcp12-125 ~]# mount.nfs -h
usage: mount.nfs remotetarget dir [-rvVwfnsih] [-o nfsoptions]
                                           `---here 'i' not define in follow and man mount.nfs page;
options:
        -r              Mount file system readonly
        -v              Verbose
        -V              Print version
        -w              Mount file system read-write
        -f              Fake mount, do not actually mount
        -n              Do not update /etc/mtab
        -s              Tolerate sloppy mount options rather than fail
        -h              Print this help
        nfsoptions      Refer to mount.nfs(8) or nfs(5)

Expected results:
[root@dhcp12-125 ~]# mount.nfs -h
usage: mount.nfs remotetarget dir [-rvVwfnsh] [-o nfsoptions]
options:
        -r              Mount file system readonly
        -v              Verbose
        -V              Print version
        -w              Mount file system read-write
        -f              Fake mount, do not actually mount
        -n              Do not update /etc/mtab
        -s              Tolerate sloppy mount options rather than fail
        -h              Print this help
        nfsoptions      Refer to mount.nfs(8) or nfs(5)

Additional info:
Comment 4 Yin.JianHong 2014-02-06 21:05:06 EST
[root@ibm-p730-01-lp1 ~]# mount.nfs -h
usage: mount.nfs remotetarget dir [-rvVwfnsh] [-o nfsoptions]
options:
	-r		Mount file system readonly
	-v		Verbose
	-V		Print version
	-w		Mount file system read-write
	-f		Fake mount, do not actually mount
	-n		Do not update /etc/mtab
	-s		Tolerate sloppy mount options rather than fail
	-h		Print this help
	nfsoptions	Refer to mount.nfs(8) or nfs(5)
Comment 5 Ludek Smid 2014-06-13 08:59:53 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.